<?php

class ModImg
{
	protected $img;
	protected $exf;
	protected $nat = true;

	public function __construct ($img)
	{
		$this->img = $img;
		require_once 'exif.php';
		$this->exf = read_exif_data_raw_($this->img);
	//	file_put_contents('EXIF.txt', print_r($this->exf,true));
	}

	public function hw ()
	{
		return $this->exf['COMPUTED']['Height']??'?'.'x'.$this->exf['COMPUTED']['Width']??'?';
	}

	public function getOrient ($t=false)
	{
		if ($t) return $this->exf['IFD0']['Orientation'] ?? 'UNKNOWN';
		return (int)($this->exf['IFD0']['Orientation'] ?? -1);
	}

	public function setOrient ($o)
	{
		if (!($this->exf['IFD0']['Orientation_fp'] ?? 0)) cpg_die(0,'Can not add an orientation code to a file that has none.');
		if ($o<0 || $o>8) cpg_die(0,'The requested orientation code is not valid.');

		$hex = $this->exf['Endien'] == 'Motorola' ? "000$o" : "0{$o}00";
		$imgf = fopen($this->img, 'r+b');
		fseek($imgf, (int)$this->exf['IFD0']['Orientation_fp']);
		fwrite($imgf, hex2bin($hex), 2);
		fclose($imgf);
	}

}
